Subject: RE: draft-ietf-l3vpn-mpls-vpn-mib-05 Syntax Error?

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 27 Aug 2003 11:30:19 +0200

According to our mib review guidelines
  draft-ietf-ops-mib-review-guidelines-02.txt
it should be an Integer32.
So the fix is to update the SEQUENCE statement

Thanks,
Bert 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: dinsdag 26 augustus 2003 23:32
> To: [email-masked]
> Subject: draft-ietf-l3vpn-mpls-vpn-mib-05 Syntax Error?
> 
> 
> I was playing around with the MIB module in 
> draft-ietf-l3vpn-mpls-vpn-mib-05 and got the following error 
> when I tried to compile it:
> 
> "Item 'mplsVpnVrfBgpPAtrCalcLocalPref' in sequence 
> 'MplsVpnVrfBgpNbrPrefixEntry' has conflicting syntax specified."
> 
> In the sequence list 'mplsVpnVrfBgpPAtrCalcLocalPref' is 
> shown as an INTEGER:
> 
> "MplsVpnVrfBgpNbrPrefixEntry ::= SEQUENCE {
>         <list trimmed to save bandwidth>
>      mplsVpnVrfBgpPAtrCalcLocalPref      INTEGER,
>         <list trimmed to save bandwidth>
> }"
> 
> 
> But farther down in the module the sytax for this object is 
> shown as 'Interger32':
> 
> "mplsVpnVrfBgpPAtrCalcLocalPref OBJECT-TYPE
>      SYNTAX     Integer32 (-1..2147483647)"
> 
> I'd appreciate it if someone could let me know which it's 
> actually supposed to be, INTEGER or Integer32.
> 
> Thanks,
> Len Nieman
> 
> 
>